#include <filesystem>
#include <memory>

#include "GuiApplication.h"
#include "MainApplication.h"

int main()
{
	// Start the main app
	auto main_app = MainApplication::Create();
	main_app->Initialize(std::filesystem::current_path());

	// Start the gui app
	auto gui_app = std::make_shared<GuiApplication>();
	gui_app->SetMainApplication(main_app);
	gui_app->Run();

	main_app->ShutDown();
	return 0;
}
